""" TRAVAIL 1 :
Importer les bibliothèques adéquates"""
import numpy as np
import matplotlib.pyplot as plt

## Le code ci-dessous définit 3 tableaux numpy avec des données expérimentales qui vont servir par la suite
t = np.array([0.0, 0.04, 0.08, 0.12, 0.16, 0.2, 0.24, 0.28, 0.32, 0.36, 0.4, 0.44, 0.48, 0.52, 0.56, 0.6, 0.64, 0.68, 0.72, 0.76, 0.8, 0.84, 0.88, 0.92, 0.96, 1.0])

x = np.array([-0.0057, 0.0912, 0.191, 0.282, 0.379, 0.473, 0.561, 0.655, 0.752, 0.846, 0.937, 1.02, 1.11, 1.21, 1.29, 1.38, 1.47, 1.56, 1.64, 1.73, 1.81, 1.89, 1.98, 2.05, 2.12, 2.2])

y = np.array([1.17, 1.31, 1.45, 1.58, 1.68, 1.76, 1.82, 1.87, 1.91, 1.92, 1.92, 1.91, 1.87, 1.82, 1.75, 1.67, 1.57, 1.45, 1.32, 1.17, 1.01, 0.823, 0.621, 0.419, 0.197, -0.0313])

""" TRAVAIL 2:
- Taper ci-dessous le code Python permettant de tracer l'ordonnée du point en fonction de son abscisse en croix (+) bleues.
"""
plt.plot(x,y,"b+")


""" TRAVAIL 3 :
Taper ci-dessous le code pour nommer les axes, ajouter un titre et afficher la fenêtre """
plt.xlabel("abscisse X")
plt.ylabel("ordonnée Y")
plt.title("Trajectoire")
plt.show()


""" TRAVAIL 4 :
    - Taper ci-dessous le code permettant de tracer l énergie potentielle de pesanteur en fonction de t en rouge et avec des gros points.
       On créera deux variables m et g (masse de 200 g par exemple, sur Terre)"""
m=0.2
g=9.81
Ep=m*g*y
plt.plot(t,Ep,"ro")

""" - Taper ci-dessous le code pour mettre un commentaire de la même couleur à côté de la courbe """
plt.text (0.2,3,"Ep",color='r')

"""- Taper ci-dessous le code pour nommer les axes, ajouter un titre, mettre une grille et afficher la fenêtre"""
plt.xlabel("date t")
plt.ylabel("Energie potentielle de pesanteur Ep")
plt.title("Evolution de l'énergie potentielle de pesanteur au cours du temps")
plt.grid()
plt.show()



